Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.ZwaveplusInfo (grizzly v7.4.2)

"ZwaveplusInfo" Command Class

The Z-Wave Plus Info Command Class is used to differentiate between Z-Wave Plus, Z-Wave for IP and Z-Wave devices.

# Summary

## Types

node_type()
role_type()

## Functions

node_type_from_byte(byte)
node_type_to_byte(atom)
role_type_from_byte(byte)
role_type_to_byte(atom)

# Types

Link to this type

# node_type()

View Source

    @type node_type() :: :zwaveplus_node | :zwaveplus_for_ip_gateway

Link to this type

# role_type()

View Source

    @type role_type() ::
      :central_static_controller
      | :sub_static_controller
      | :portable_controller
      | :reporting_portable_controller
      | :portable_slave
      | :always_on_slave
      | :reporting_sleeping_slave
      | :listening_sleeping_slave
      | :network_aware_slave

# Functions

Link to this function

# node_type_from_byte(byte)

View Source
Link to this function

# node_type_to_byte(atom)

View Source
Link to this function

# role_type_from_byte(byte)

View Source
Link to this function

# role_type_to_byte(atom)

View Source